"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.withAdapter = void 0;

var _lodash = _interopRequireDefault(require("lodash.partial"));

var _query = require("./query");

var withAdapter = function withAdapter(context, adapter) {
  if (context.adapter != null) {
    throw Error("Read model adapter already assigned.");
  }

  context.adapter = adapter;
  return {
    query: (0, _lodash["default"])(_query.query, context)
  };
};

exports.withAdapter = withAdapter;
//# sourceMappingURL=with-adapter.js.map