import { makeAssertions } from './make-assertions';
export var mockQueryImplementation = function mockQueryImplementation(context, modelName, resolverName, implementation) {
  var environment = context.environment;

  if (environment.isExecuted()) {
    throw Error("Query implementation cannot be mocked if the test was executed.");
  }

  environment.mockQueryImplementation(modelName, resolverName, implementation);
  return makeAssertions(context);
};
//# sourceMappingURL=mock-query-implementation.js.map