"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.mockSideEffects = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var mockSideEffects = function mockSideEffects(buffer, sideEffects) {
  if (sideEffects != null) {
    return Object.keys(sideEffects).reduce(function (mock, name) {
      mock[name] = /*#__PURE__*/(0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee() {
        var _len,
            args,
            _key,
            _args = arguments;

        return _regenerator["default"].wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                for (_len = _args.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
                  args[_key] = _args[_key];
                }

                args.pop(); // remove context provided by saga

                buffer.sideEffects.push([name].concat(args));

              case 3:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }));
      return mock;
    }, {});
  }

  return null;
};

exports.mockSideEffects = mockSideEffects;
//# sourceMappingURL=mock-side-effects.js.map